package org.wfc.omada.api.maintenance.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * RestoreResultVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:40:12.680+08:00[Asia/Shanghai]")

public class RestoreResultVo   {
  @JsonProperty("status")
  private Integer status;

  public RestoreResultVo status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * Status should be a value as follows: 0: restore finished; 1: restore prepared; 2: restore running; 3: restore failed
   * @return status
  */
  @ApiModelProperty(value = "Status should be a value as follows: 0: restore finished; 1: restore prepared; 2: restore running; 3: restore failed")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    RestoreResultVo restoreResultVo = (RestoreResultVo) o;
    return Objects.equals(this.status, restoreResultVo.status);
  }

  @Override
  public int hashCode() {
    return Objects.hash(status);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class RestoreResultVo {\n");
    
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

